.cardBox {
  overflow: hidden;
  position: relative;
  background: var(--main-bg-color);
  min-height: 46px;
  box-shadow: none;
  margin-bottom: 20px;
  transition: 0.5s;
  border-radius: 10px;
}

.cardBox:hover {
  position: relative;
  transform: translateY(-6px);
  -moz-box-shadow: 0 20px 20px rgba(0, 0, 0, 0.1);
  box-shadow: 0 0 25px -5px #9e9c9e;
}

:global(.dark) .cardBox:hover {
  box-shadow: unset;
}

.cardBox .loading .card,
.cardBox::before,
.cardHead::before,
.cardHead::after,
.cardBody::before,
.cardBody::after {
  content: "";
  display: table;
}

.card::after,
.cardHead::after {
  clear: both;
}

.cardHead {
  border-radius: 2px 2px 0 0;
  border-bottom: 1px dotted rgba(0, 0, 0, 0.2);
  padding: 2px;
  color: var(--fourth-color);
  font-size: 14px;
  font-weight: 600;
  line-height: 40px;
  min-height: 40px;
}

.cardHead > header {
  display: inline-block;
  padding: 11px 20px;
  vertical-align: middle;
  line-height: 17px;
  font-size: 20px;
}

.cardHead > div {
  display: inline-block;
}

.tools {
  padding-right: 16px;
  float: right;
  margin-top: 7px;
  margin-bottom: 7px;
  margin-left: 24px;
  line-height: normal;
  vertical-align: middle;
}

.tools > a > i {
  color: #97a0b3;
  margin-right: 3px;
  font-size: 18px;
  vertical-align: middle;
}

.cardBody {
  padding: 10px 24px 10px 24px;
  position: relative;
}

.card-body:last-child {
  border-radius: 0 0 2px 2px;
}

.tableWrap {
  position: relative;
  margin-top: 10px;
}

.tableScrollable {
  margin-bottom: 10px;
  width: 100%;
  overflow: scroll;
}

.tableScrollable > div {
  padding-right: 0;
}

.tableScrollable table > :not(:last-child) > :last-child > * {
  border-bottom-color: var(--second-bg-color);
}

.tableScrollable table > tbody > tr {
  border-bottom: 1px solid var(--second-bg-color);
}

.tableScrollable thead {
  background-color: var(--main-bg-color);
  color: var(--third-color);
  position: sticky;
  top: 0;
  z-index: 10;
}

.tableScrollable thead tr th.actions {
  min-width: 140px;
}

.dataTablesLength label {
  font-weight: normal;
  text-align: left;
  white-space: nowrap;
}

.dataTablesLength select {
  width: 75px;
  display: inline-block;
  background-color: var(--main-bg-color);
  color: var(--main-color);
}

.dataTablesFilter {
  text-align: right;
  margin-bottom: 16px;
}

.dataTablesFilter > label {
  font-weight: normal;
  white-space: nowrap;
  text-align: left;
}

.dataTablesFilter > label > input {
  margin-left: 0.5em;
  display: inline-block;
  width: auto;
  background-color: var(--main-bg-color);
  color: var(--main-color);
}

.sort {
  padding-right: 30px !important;
  position: relative;
  cursor: pointer;
}

.sort::before {
  right: 1em;
  content: "\2191";
  position: absolute;
  bottom: 0.9em;
  display: block;
  opacity: 0.3;
}

.sort::after {
  right: 0.5em;
  content: "\2193";
  position: absolute;
  bottom: 0.9em;
  display: block;
  opacity: 0.3;
}

.sorting_asc::before {
  opacity: 1;
}

.sorting_desc::after {
  opacity: 1;
}

.dataTablesInfo {
  padding-top: 0.85em;
  white-space: nowrap;
}

.dataTablesPaginate {
  margin: 0;
  white-space: nowrap;
  text-align: right;
}

.dataTablesPaginate > ul {
  margin: 2px 0;
  white-space: nowrap;
  justify-content: flex-end;
}

.pageItem.disabled > a {
  pointer-events: none;
  cursor: auto;
  background-color: var(--second-bg-color);
}

.pagingSimpleNumbers .pageItem.previous > a,
.pagingSimpleNumbers .pageItem.next > a {
  color: var(--main-color);
  background-color: transparent;
  margin: 5px;
  text-transform: uppercase;
  border: 0;
  border-radius: 50%;
  padding: 0px 12px;
  min-width: 30px;
  line-height: 30px;
  font-size: 14px;
  width: unset;
  height: unset;
}

.pagingSimpleNumbers .pageItem.active > a {
  background-color: #9c27b0;
  border-radius: 50%;
  border-color: #9c27b0;
  margin: 5px;
  box-shadow: 0 4px 5px 0 rgb(156 39 176 / 14%),
    0 1px 10px 0 rgb(156 39 176 / 12%), 0 2px 4px -1px rgb(156 39 176 / 20%);
  color: #ffffff;
  text-transform: uppercase;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 30px;
}

.pagingSimpleNumbers .pageItem > a {
  border-radius: 50%;
  color: gray;
  margin: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 30px;
  text-transform: uppercase;
}

.title {
  min-width: 200px;
}

.imageContainer {
  background-color: rgba(0, 0, 0, 0.4);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 99;
  cursor: pointer;
}

.tableScrollable::-webkit-scrollbar {
  width: 8px;
  height: 10px;
  background-color: var(--main-bg-color);
}

.tableScrollable::-webkit-scrollbar-thumb {
  background-color: var(--dark-color);
  border-radius: 10px;
}

.tableScrollable::-webkit-scrollbar-track {
  background-color: var(--second-bg-color);
  border-radius: 10px;
}

.tableScrollable::-webkit-scrollbar-corner {
  background-color: var(--main-bg-color);
}
